package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.ZB;
import com.sa.ibiz.demo.demo.service.dto.ZBSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface ZBMapper extends BaseMapper<ZB>{
    @CacheEvict( value="entity",key = "'ZB:'+#p0.zbid")
    void updateOne(@Param("zb") ZB zb);
    List<ZB> searchDefault(@Param("srf") ZBSearchFilter searchfilter,@Param("ew") Wrapper<ZB> wrapper) ;
    Page<ZB> searchDefault(IPage page, @Param("srf") ZBSearchFilter searchfilter, @Param("ew") Wrapper<ZB> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'ZB:'+#p0")
    ZB selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'ZB:'+#p0.zbid")
    int updateById(@Param(Constants.ENTITY) ZB entity);
    @Override
    @CacheEvict( value="entity",key = "'ZB:'+#p0.zbid")
    int insert(ZB entity);
    @Override
    @CacheEvict( value="entity",key = "'ZB:'+#p0")
    int deleteById(Serializable id);
}